#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	libcap-ng
Version		:	0.8.3
Release		:	14.8.0.0%{?dist}
Summary		:	Alternate posix capabilities library

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	LGPLv2+
URL		:	https://people.redhat.com/sgrubb/libcap-ng

Source0		:	%{name}-%{version}.tar.gz

#-----------------------------------------------------------------------------
BuildRequires	:	gcc
BuildRequires	:	make
BuildRequires	:	linux-headers >= 2.6.11 
BuildRequires	:	attr
#-----------------------------------------------------------------------------
%description
libcap is a library for getting and setting POSIX.1e
(formerly POSIX 6) draft 15 capabilities.

Libcap-ng is a library that makes using posix capabilities easier

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%license COPYING.LIB
%{_libdir}/%{name}.so.*
%{_libdir}/libdrop_ambient.so.*
%attr(0644,root,root) %{_mandir}/man7/*.7.gz

#=============================================================================
%package		devel
Summary		:	Development files for libcap

#-----------------------------------------------------------------------------
Requires	:	%{name} = %{version}-%{release}

#-----------------------------------------------------------------------------
%description		devel
Development files (Headers, etc) for libcap.
 
libcap is a library for getting and setting POSIX.1e (formerly POSIX 6)
draft 15 capabilities.
 
Install libcap-devel if you want to develop or compile applications using
libcap.

#-----------------------------------------------------------------------------
%files			devel
%defattr(-,root,root,-)
%attr(0644,root,root) %{_includedir}/cap-ng.h
%{_libdir}/libdrop_ambient.so
%{_libdir}/%{name}.so
%{_libdir}/pkgconfig/%{name}.pc
%attr(0644,root,root) %{_datadir}/aclocal/cap-ng.m4
%attr(0644,root,root) %{_mandir}/man3/*.3.gz

#=============================================================================
%package		utils
Summary		:	Utilities for analyzing and setting file capabilities

#-----------------------------------------------------------------------------
Requires	:	%{name} = %{version}-%{release}

#-----------------------------------------------------------------------------
%description		utils
The libcap-ng-utils package contains applications to analyze the
posix capabilities of all the program running on a system. It also
lets you set the file system based capabilities.

#-----------------------------------------------------------------------------
%files			utils
%defattr(-,root,root,-)
%license COPYING
%attr(0755,root,root) %{_bindir}/captest
%attr(0755,root,root) %{_bindir}/filecap
%attr(0755,root,root) %{_bindir}/netcap
%attr(0755,root,root) %{_bindir}/pscap
%attr(0644,root,root) %{_mandir}/man8/*.8.gz

#=============================================================================
%package		python3
Summary		:	Python3 bindings for libcap-ng library

#-----------------------------------------------------------------------------
BuildRequires	:	make
BuildRequires	:	python3
BuildRequires	:	python3-setuptools

Requires	:	%{name} = %{version}-%{release}

#-----------------------------------------------------------------------------
%description		python3
The libcap-ng-python3 package contains the bindings so that libcap-ng
and can be used by python3 applications.

#-----------------------------------------------------------------------------
%files			python3
%defattr(-,root,root,-)
%attr(755,root,root) %{python3_sitearch}/_capng.so
%{python3_sitearch}/__pycache__/*.pyc
%{python3_sitearch}/capng.py

#=============================================================================
%prep
%setup -q

#-----------------------------------------------------------------------------
#building application
%build

./configure						\
        --prefix=%{_prefix}				\
        --includedir=%{_includedir}			\
	--exec-prefix=%{_exec_prefix}			\
	--libexecdir=%{_libexecdir}			\
        --sysconfdir=%{_sysconfdir}			\
        --sbindir=%{_sbindir}				\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--infodir=%{_infodir}				\
	--docdir=%{_defaultdocdir}/%{name}-%{version}	\
	--with-python=no				\
	--with-python3					\

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make}						\
	%{_smp_mflags}					\

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__make}						\
	DESTDIR=%{buildroot}				\
	install


#To remove libtool library and static library
find 								\
	%{buildroot}%{_libdir}					\
	\(							\
		 -name \*.la					\
		 -o						\
		 -name \*.a					\
	 \)							\
	-delete

#-----------------------------------------------------------------------------
%changelog
